Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.sf.jasperreports.charts.type
Enum EdgeEnum

    java.lang.Object
      java.lang.Enum<EdgeEnum>
          net.sf.jasperreports.charts.type.EdgeEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EdgeEnum>, JREnum

    public enum EdgeEnum

extends java.lang.Enum<EdgeEnum>
implements JREnum

Version:
  $Id: EdgeEnum.java 3549 2010-03-09 13:43:58Z shertage $
Author:
  sanda zaharia (shertage@users.sourceforge.net)

Enum Constant Summary
`BOTTOM`
`LEFT`
`RIGHT`
`TOP`

Method Summary
`static EdgeEnum` | `getByName(java.lang.String name)`
`static EdgeEnum` | `getByValue(byte value)`
`static EdgeEnum` | `getByValue(java.lang.Byte value)`
`java.lang.String` | `getName()`
`byte` | `getValue()`
`java.lang.Byte` | `getValueByte()`
`static EdgeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EdgeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TOP

    public static final EdgeEnum TOP

### BOTTOM

    public static final EdgeEnum BOTTOM

### LEFT

    public static final EdgeEnum LEFT

### RIGHT

    public static final EdgeEnum RIGHT

Method Detail

### values

    public static EdgeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EdgeEnum c : EdgeEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EdgeEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValueByte

    public java.lang.Byte getValueByte()

  Specified by:
    `getValueByte` in interface `JREnum`

### getValue

    public final byte getValue()

  Specified by:
    `getValue` in interface `JREnum`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `JREnum`

### getByName

    public static EdgeEnum getByName(java.lang.String name)

### getByValue

    public static EdgeEnum getByValue(java.lang.Byte value)

### getByValue

    public static EdgeEnum getByValue(byte value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com